#
# spec file for package 3ddiag (Version 0.397)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  hwinfo hwinfo-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext hwinfo hwinfo-devel libtool libz pam perl rpm

Name:         3ddiag
License:      GPL
Group:        System/Base
Provides:     mesa:/etc/mesa.conf  
Autoreqprov:  on
Version:      0.397
Release:      146
Summary:      Tool for verification of the 3D/OpenGL configuration
Source:       3Ddiag-%{version}.tar.gz
Source1:      SuSEconfig.3ddiag
Source2:      sysconfig.3ddiag
Source3:      chrc.config
Source4:      3Ddiag.sh
Source5:      switch2nv
Source6:      switch2nvidia
Source7:      3Ddiag-result
Patch:        fglr200.diff
Patch1:       nvidia.diff
Patch2:       3Ddiag-mktemp.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
With the tool '3Ddiag' you can verify your 3D/OpenGL configuration.

Authors:
--------
    Stefan Dirsch <sndirsch@suse.de>

SuSE series: x3d

%prep
%setup -n 3Ddiag
%patch
%patch1
%patch2

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/3ddiag
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/usr/bin
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_defaultdocdir}/3ddiag
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.3ddiag $RPM_BUILD_ROOT/sbin/conf.d
install -m 644 $RPM_SOURCE_DIR/sysconfig.3ddiag $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 $RPM_SOURCE_DIR/chrc.config $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/3Ddiag.sh $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/switch2nv $RPM_BUILD_ROOT/usr/bin 
install -m 755 $RPM_SOURCE_DIR/switch2nvidia $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/3Ddiag-result $RPM_BUILD_ROOT/usr/bin

%post
mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/3ddiag
Please note that the OpenGL configuration has changed since SuSE 7.2. Please 
have a look at the variable SCRIPT_3D and the description above in 
/etc/sysconfig/3ddiag.
EOF
cat var/adm/fillup-templates/sysconfig.3ddiag >> var/adm/notify/messages/3ddiag
%{fillup_only}
exit 0

%files
%doc %{_defaultdocdir}/3ddiag/LICENSE
/usr/bin/3Ddiag
/usr/bin/3Ddiag.sh
/usr/bin/3Ddiag.devel
/usr/bin/3Ddiag.dri
/usr/bin/3Ddiag.ignoredb
/usr/bin/3Ddiag.mesaglide
/usr/bin/3Ddiag.mesasoft
/usr/bin/3Ddiag.nvidia_glx
/usr/bin/3Ddiag.runtime
/usr/bin/3Ddiag-result
/usr/bin/3dinfo
/usr/bin/chrc.config
/usr/bin/switch2nv
/usr/bin/switch2nvidia
/sbin/conf.d/SuSEconfig.3ddiag
/var/adm/fillup-templates/sysconfig.3ddiag

%changelog -n 3ddiag
* Sat Jan 03 2004 - sndirsch@suse.de
- fixed insecure tmp file handling (Bug #33795)
* Sun Mar 17 2002 - sndirsch@suse.de
- added new 3D capable devices to 3Ddiag.nvidia_glx (nvidia.diff)
* Fri Mar 15 2002 - sndirsch@suse.de
- removed test3D script (not required any longer)
* Thu Mar 14 2002 - sndirsch@suse.de
- added test3D script: test3D <command>
  * returns error, when a requirement for libGL.so.1 of <command>
  is detected and 3D is not configured correctly resp. no 3D
  capable device is available; otherwise returns success
* Tue Mar 12 2002 - sndirsch@suse.de
- added 3Ddiag-result:
  * returns if a 3D capable device is configured correctly or no
  3D capable device is found
* Tue Mar 05 2002 - sndirsch@suse.de
- added new 3D capable device FireGL 8x00 to 3Ddiag.dri (fglr200.diff)
* Thu Jan 24 2002 - sndirsch@suse.de
- updated to release 0.397: added new 3D capable devices to
  3Ddiag.dri and 3Ddiag.nvidia_glx
* Mon Jan 07 2002 - sndirsch@suse.de
- updated to release 0.395: added new DRI/nVidia devices to
  3Ddiag.dri and 3Ddiag.nvidia_glx
* Fri Nov 23 2001 - sndirsch@suse.de
- update to release 0.391: install target in Makefile now uses DESTDIR
- specfile adjusted to use Buildroot
* Sun Nov 11 2001 - sndirsch@suse.de
- update to release 0.390
  removed 3D detection of Voodoo Rush (no longer supported,
  replaced by mesasoft); adjusted rc.config.3ddiag/SuSEconfig.3ddiag
  according to this
* Thu Nov 08 2001 - sndirsch@suse.de
- update to release 0.389
  switched from xf86glu/xf86glu-devel --> mesaglu/mesaglu-devel
* Mon Oct 01 2001 - sndirsch@suse.de
- update to release 0.387
  * removed Utah-GLX support
* Tue Sep 25 2001 - sndirsch@suse.de
- fixed type (Bug #11296)
* Mon Sep 03 2001 - sndirsch@suse.de
- update to release 0.369
  * corrected Device Id for MGA G400/G450 in 3Ddiag.dri
  * added 'WARNING' to Dummy nVidia driver notice in 3Ddiag
* Sat Aug 18 2001 - sndirsch@suse.de
- updated to release 0.367
  * added GPL license
* Mon Jul 23 2001 - sndirsch@suse.de
- update to release 0.356
  * removed current dir from PATH
  * some cleanups
* Mon Jul 23 2001 - sndirsch@suse.de
- update to release 0.354: added options for 3Ddiag
--devel       verify full OpenGL Development configuration
--dri         verify DRI/XFree86 4.x configuration
--help, -h    display this help and exit
--ignoredb    search for configurations of untested/unsuccesfull
  tested hardware
--mesaglide   verify Mesa/Glide configuration
--mesasoft    verify 'Mesa Software Rendering' configuration
--nvidia_glx  verify 'nVidia GLX/XFree86 4.x' configuration
--runtime     verify GLU/glut Runtime configuration
--utah-glx    verify Utah-GLX/XFree86 3.3 configuration
* Fri Jun 22 2001 - sndirsch@suse.de
- added scripts switch2nv/switch2nvidia to switch easily between
  nv/nvidia driver; these scripts execute switch2mesasoft/
  switch2nvidia_glx and patch /etc/X11/Xf86Config according to this
* Tue Jun 19 2001 - sndirsch@suse.de
- added 3Ddiag.sh for KDE menu
* Fri Jun 01 2001 - sndirsch@suse.de
- check full OpenGL runtime/development configuration (GLU/glut)
- check correct OpenGL libraries/GLX extensions only once now, not for every
  package
- some corrections in output for SuSE 7.0/7.1 if NVIDIA_GLX/NVIDIA_kernel is
  used instead of nv_glx and some files of the packages are missing
- do not verify driver entry, if it is empty (important for Voodoo I/II
  boards)
- minor correction in mail, which is sent to root after installation (Bug #8657)
* Mon May 07 2001 - sndirsch@suse.de
- updated to release 0.248
  * added warning for i850 chipset users, that there are problems
  on these systems, which could disable 3D hardware support
  * added note to use "3Ddiag --mesasoft" to verify Software
  configuration if 3D hardware support is not stable
* Thu May 03 2001 - sndirsch@suse.de
- corrected typo in postinstall message
* Sun Apr 22 2001 - sndirsch@suse.de
- don't replace the value for the variable in rc.config any more if
  it's already correct
* Fri Apr 20 2001 - sndirsch@suse.de
- 3Ddiag: $xf86version was not set in this context
* Tue Apr 10 2001 - sndirsch@suse.de
- SuSE 7.2 comes with dummy packages NVIDIA_GLX/NVIDIA_kernel, which must be
  checked to inform the user to update to the real packages with 3D hardware
  accelerated support
* Mon Apr 09 2001 - sndirsch@suse.de
- removed SuSEconfig.3ddiag call in chrc.config
* Mon Apr 09 2001 - sndirsch@suse.de
- removed description for switch2nv_glx and switch2xfiregl1 as
  these scripts won't exist any longer
* Mon Apr 09 2001 - sndirsch@suse.de
- added chrc.config to be able to change the value of SCRIPT_3D
  in /etc/rc.config with a command line tool
* Fri Mar 23 2001 - sndirsch@suse.de
- provides mesa:/etc/mesa.conf, so it is installed during an update
  if mesa was installed before, it does not really provides
  /etc/mesa.conf :-)
* Wed Mar 21 2001 - sndirsch@suse.de
- added config-dist.sh (required for SuSE 7.0 builds)
* Wed Mar 21 2001 - sndirsch@suse.de
- update to release 0.245:
  * adjusted to use with SuSE 7.0, 7.1 and 7.2 (big changes),i.e.
  +  check symbolic links only for SuSE >= 7.1
  + check rc.config entry only for SuSE 7.2
- added switch2nvidia_glx as option for SCRIPT_3D in rc.config
- check if "SCRIPT_3D" == "no" and don't try ot execute it even
  if it exists
* Mon Mar 19 2001 - sndirsch@suse.de
- fixed "absolute path problem" in %%post section
* Tue Feb 06 2001 - sndirsch@suse.de
- added sending of email about changes of OpenGL configuration to
  %%post section
* Mon Feb 05 2001 - sndirsch@suse.de
- creating of the symbolic links to the correct OpenGL libraries/
  extensions is now handled with SCRIPT_3D in /etc/rc.config and
  /sbin/conf.d/SuSEconfig.3ddiag. SCRIPT_3D scecifies the script to
  execute to create the symbolic links.
* Sat Jan 20 2001 - sndirsch@suse.de
- updated to release 0.149:
  3D software emulation is now verified if the board is not 3D capable,
  or if 3Ddiag is used with the option "--mesasoft"
* Tue Jan 09 2001 - sndirsch@suse.de
- created package
